/*
 * @Author: Kane
 * @Date: 2023-10-13 14:39:58
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/dataimport/bi/ImportBIDataResponse.java
 * @Description: 
 * 
 * Copyright (c) ${2023} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.dataimport.bi;

import com.cpic.xim.web.controllers.QueryResponse;
import com.fasterxml.jackson.annotation.JsonProperty;

public class ImportBIDataResponse extends QueryResponse
{
    // 导入数量
    @JsonProperty( "importedCount" )
    int importedCount;

    public ImportBIDataResponse()
    {
        super();

        importedCount = 0;
    }

    public ImportBIDataResponse( boolean success, String message, int importedCount )
    {
        super( success, message );
        this.importedCount = importedCount;
    }

    public ImportBIDataResponse( int importedCount )
    {
        this.importedCount = importedCount;
    }

    @Override
    public String toString()
    {
        return "ImportBIDataResponse [importedCount=" + importedCount + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + importedCount;
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( !super.equals( obj ) )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        ImportBIDataResponse other = (ImportBIDataResponse) obj;
        if ( importedCount != other.importedCount )
            return false;
        return true;
    }

    public int getImportedCount()
    {
        return importedCount;
    }

    public void setImportedCount( int importedCount )
    {
        this.importedCount = importedCount;
    }
}
